﻿using System;
using Telerik.UI.Xaml.Controls.Input;
using Telerik.UI.Xaml.Controls.Input.Calendar;
using Windows.UI.Xaml.Controls;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Calendar_BlackoutCells_TestApp
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void RadCalendar_CurrentDateChanged(object sender, CurrentSelectionChangedEventArgs e)
        {

        }
    }

    public class CustomBlackoutStateSelector : CalendarCellStateSelector
    {
        protected override void SelectStateCore(CalendarCellStateContext context, RadCalendar container)
        {
            if (container.DisplayMode == CalendarDisplayMode.MonthView && context.Date > DateTime.Today)
            {
                context.IsBlackout = true;
            }
        }
    }
}
